5.1.2.1. Enter Text (General Components)
Prev | 5.1.2. Actions that send keyboard interaction (key presses, text input) | Next

#### 5.1.2.1. Enter Text (General Components)

Input Text on Text Component

- Use this action to enter text into a component.

- The text you want to enter is given as a parameter.

- This is realized by:

  - Clicking once on the component if it is not already ready to support keyboard input.

  - Entering the text at the current cursor position.

- To delete any text already in the component, use the action"replace text".

- To enter text before/after previous text, see "Insert Text Before/After Pattern" in the "Text Field" component.

- Parameters:

  - Text

| This action is unsupported for combo-boxes in the HTML toolkit

Input Text where focus is (on Application component)

- Use this action to enter text into the component which currently has focus.

- The text you want to enter is given as a parameter.

- The difference between this action and the "External Input Text" is that the arrival of the keystrokes at the component are checked here.

- Use this action for supported components, and the "External Input Text" action for components in external dialogs, such as file choosers.

- Parameters:

  - Text

| In HTML AUT's , this action can only be used with alphanumeric characters. Also, if the focus is not currently on the browser, then this action will not be successful.

Replace Text

- Use this action to replace any text already in the text field.

- The text you want to enter is given as a parameter.

- This is realized by:

  - Selecting any text already in the component.

  - Entering the text you specified. This effectively overwrites the previous text in the component.

- This means that any previous text in the component is deleted.

- To enter text before/after previous text, see "Insert Text Before/After Pattern" in the "Text Field" component.

- Parameters:

  - Text

| This action is unsupported for combo-boxes in the HTML toolkit

| If you use this action on a table, then the text will be entered into the currently selected cell.

Press Any Key

- This action allows you to send a key command to the application.

- This is useful for actions such as »DELETE«, »ENTER«, etc.

- Parameters:

  - Modifier Keys

  - Base Key

| Under Swing, this action only supports the American character set. Under SWT, you can use any character set under Windows, but there are some problems with non-American characters under Linux.

| In HTML, on Firefox, the keys »F5« and »ESCAPE« cannot be used.

| Users working on Linux systems should increase the key repeat delay on their test system or remove it completely. Some Linux systems can otherwise tend to repeat key presses which can lead to undesired actions being produced during test execution.

External Input Text

- Use this action to input text into dialogs that are not supported (e.g. file choosers).

- Keystrokes can be sent to these dialogs, but no check is possible to see if they have arrived.

- For this action to work, the dialog must be in focus, and the cursor must be in the text field to be filled in.

- Combine this action with the "External Key Combination" action to send key combinations to native dialogs to be able to work with file choosers during your test.

- Parameters:

  - Text

Native dialogs in SWT and RCP AUT's

In SWT and RCP AUT's , this action can only enter ASCII characters (large and small letters, and numbers).

To enter characters such as spaces, periods and slashes, use the action External Key Combination.

We recommend using the action Copy to Clipboard to help fill out native dialogs in SWT and RCP AUT's . The string you copy to the clipboard can then simply be entered into the textfield in the dialog using »CTRL+V« as an External Key Combination action.

External Press Any Key

- Use this action to send a key combination to a dialog that is not supported (e.g. file choosers).

- Keystrokes can be sent to these dialogs, but it is not possible to check if it has arrived.

- For this action to work, the dialog must be in focus.

- Combine this action with the "External Input Text" action to be able to work with file choosers during your test.

- Some of the keystrokes you may need include ENTER, SPACE, PERIOD and /.

- Parameters:

  - Modifier Keys

  - Base Key

Set Toggle Key

- Use this action to turn the following keys on or off:

  - Caps-lock

  - Num-lock

  - Scroll-lock

- You specify which key to (de)activate and whether the function should be turned on or off.

- Parameters:

  - Key

  - Activate Key

| Due to current Java limitations, this action is not supported when testing under Linux. This means that any Test Step containing this action will fail when testing under Linux.

Insert Text after Index

- Use this action to insert a text into the text area.

- You enter the text to be inserted, and the position at which it should be inserted.

- The position is given using the index.

- This is achieved by:

  - Positioning the cursor at the index you specify.

  - Entering the text.

- Parameters:

  - Text

  - Index

Insert Text before/after Pattern

- Use this action to insert a text into the text area.

- You enter the text to be inserted and whether it should be inserted before or after the pattern you enter.

- This is achieved by:

  - Positioning the cursor at the position you specify.

  - Entering the text.

- If a pattern is not found, the text is not inserted.

- Parameters:

  - Text

  - Pattern

  - Operator

  - Insert after pattern